Bug 1247476 - The button 'Refresh Versions/Releases/Milestones' always disappeared after click it
The button 'Refresh Versions/Releases/Milestones' always disappeared after cl...
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Jeff Fearn
Rony Gong
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 02:09 EDT by Rony Gong
Modified: 2015-09-20 19:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-20 19:28:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2015-07-28 02:09:18 EDT
Description of problem:
The button 'Refresh Versions/Releases/Milestones' always disappeared after click it

Version-Release number of selected component (if applicable):
4.4.9038-2

How reproducible:
Always

Steps to Reproduce:
1.Go to advanced page, select classification 'Community'
2.Select 'Bugzilla' for product, then click button 'Refresh Versions/Releases/Milestones'


Actual results:
The button 'Refresh Versions/Releases/Milestones' disappeared after click it

Expected results:
The button 'Refresh Versions/Releases/Milestones' should keep there forever after select product

Additional info:
Comment 1 Jason McDonald 2015-07-28 02:45:24 EDT
I don't see this behaviour on the current production system, so I presume this is a regression, probably related to the recent javascript changes on the search page.
Comment 2 Jeff Fearn 2015-07-28 20:19:04 EDT
Does it show again if you change the products selected?
Comment 3 Rony Gong 2015-07-29 09:41:58 EDT
(In reply to Jeff Fearn from comment #2)
> Does it show again if you change the products selected?

yes, it show again if I change the products selected.
Comment 4 Jeff Fearn 2015-07-30 02:03:51 EDT
(In reply to Rony Gong from comment #3)
> (In reply to Jeff Fearn from comment #2)
> > Does it show again if you change the products selected?
> 
> yes, it show again if I change the products selected.

Then IMO this isn't a bug, the button should only be shown when those fields can be updated.
Comment 5 Jeff Fearn 2015-07-30 19:18:59 EDT
This is how it works in current production and IMO it doesn't make any sense to change how it works.
Comment 6 Jeff Fearn 2015-07-30 19:25:09 EDT
Ok, in prod if you only have a product selected then the button disappears, but if you have a classification selected then the button stays on the page.

So the new page is consistent and always remove the button unless there is actually a reason to be clicking the button, which IMO is the sane behavior. Only be visible if clicking the button would change the content.
Comment 7 Rony Gong 2015-07-30 22:39:19 EDT
(In reply to Jeff Fearn from comment #6)
> Ok, in prod if you only have a product selected then the button disappears,
> but if you have a classification selected then the button stays on the page.
> 
> So the new page is consistent and always remove the button unless there is
> actually a reason to be clicking the button, which IMO is the sane behavior.
> Only be visible if clicking the button would change the content.

Please try below steps, then you will feel current design is terrible:
1.Select a classification and  product A whose components A, B both have some subcomponents.
2.Then select component A in the component filed, click that 'refresh' button, and it should only list the subcomponents of component A

3.And if I also want to search by component B's subcomponent at this moment, then I must unselect product A and reselect product A again to make that 'refresh' button appear.

So I think this is a bad design.
Comment 8 Jeff Fearn 2015-08-02 20:23:00 EDT
Had a chat to Jason and decided to make this button visible whenever a classification or product is selected. This changes the behavior as currently in prod the button is hidden after clicking if you have a product selected but not a classification.
Comment 9 Rony Gong 2015-08-14 03:55:35 EDT
QA environment(bzweb01-qe) with version(4.4.9039-1, DB: mysql)
QA environment(bzperfweb01.app.qa) with version(4.4.9039-1, DB: psql )
Result: Pass
Comment 10 Matt Tyson 2015-09-20 19:28:35 EDT
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.